import _ from 'lodash';

import ShortViewText from '@/components/ShortViewText';

import { TableItemProps } from '../TableItem';
import EmptyItem from './EmptyItem';

const StringItem = (props: TableItemProps) => {

  const value = props.value;

  if (!value) return <EmptyItem {...props} />;



  return <ShortViewText type="middle" text={value} maxLength={30} />

  return <div className='truncate-2-lines'>{value}</div>


}

export default StringItem;